Highlighted
Absent Member.
Absent Member.
4857 views

Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

I try to monitor a JBoss AS 7 application server with Silk Performance Explorer 9.5.

I use <Apllication Server><JBoss 5.x><JBoss 5.x (JMX MBeanServer).

When  I connect to the JBoss Server I get this exception "Root exception is java.lang.ClassNotFoundException: org.jnp.interfaces.NamingContextFactory"

It seems that the jar files

server\all\lib\jboss-management.jar
client\jbossall-client.jar
lib\dom4j.jar

don't exist on a JBoss AS7 Server.

Has anyone monitored a JBoss AS 7 server with SP 9.5.

Thanking you in anticipation.

Robert.

0 Likes
11 Replies
Highlighted
Absent Member.
Absent Member.

RE: Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

Hi Robert,

You mentioned that you are using the JBoss 5.x options, but both Silk Performer 9.5 and 10.0 have the option for JBoss 7.x  Have you tried this?

You should also select the ‘Server Configuration’ option to ensure that the JVM settings are correctly set so all relevant files can be located.

I hope this helps.

Leeanne

0 Likes
Highlighted
Absent Member.
Absent Member.

RE: Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

Hi Leeanne

your advice would certainly help, if I could find the options for JBoss 7.x.

Perhaps I make some mistakes.

I perform these steps:

- Start Performance Explorer

- Select Monitor Server

- Select "Select from predefined Data Sources"

- Select Application Server

and now I only find entries for JBoss 4.x and JBoss 5.x, but not for JBoss 7.x

Do you think it's an installation problem?

Regards

Robert.

0 Likes
Highlighted
Absent Member.
Absent Member.

RE: Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

Hi Robert,

Those are the same steps I select and have the options for JBoss 4, 5, 6 and 7.  In Performance Explorer check under HELP | ABOUT to be sure that it's actually Silk Performer 9.5 being opened rather than Silk Performer 9.0 for example - it only has JBoss 4 and 5 listed.  

Thanks

Leeanne

0 Likes
Highlighted
Absent Member.
Absent Member.

RE: Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

Hi Leanne

the  Performance Explorer's version is 9.5.0.5474 HF3 from 2013-06-13.

Regards

Robert

0 Likes
Highlighted
Absent Member.
Absent Member.

RE: Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

Hi Robert,

I would recommend re-installing as these options should be available by default.  You should ensure that the installation is carried out by a user with full admin rights on the machine.

Best Regards

Leeanne

0 Likes
Highlighted
Absent Member.
Absent Member.

RE: Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

Hi Leeanne,

when the re-installation is finished, I'll inform you about the results.

Thanks

Robert

0 Likes
Highlighted
Absent Member.
Absent Member.

RE: Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

Hi Leeanne,

SP 9.5 is re-installed, but I only see JBoss 4.x and 5.x.

Have you any idea?

Regards

Robert.

0 Likes
Highlighted
Absent Member.
Absent Member.

RE: Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

   Hello Robert,

   I'm monitoring JBoss AS 7 successfully.

   I'm using SilkPerformer 9.5.0.5474 HF3 from 2013-06-13 and JBoss 7.1.1.

   Besides installing SP and the latest Hotfix, you need to download JBoss and adjust the "Server Configurations", in the Data Source wizard, to point to the downloaded JBoss. I attached to this post the screens with the configurations I'm using.

 

   Best Regards.

Vinicius M. Romao

0 Likes
Highlighted
Absent Member.
Absent Member.

RE: Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

Hi Robert,

Download Silk Performer 10.0 from the Supportline website (supportline.microfocus.com/.../SilkPerformer10.aspx) and verify if you see the additional JBoss options in that version.

Thanks

Leeanne

0 Likes
Highlighted
Absent Member.
Absent Member.

RE: Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

Hi Vinicius,

thank you very much for the screen shots.

I think it will help me, if I can choose the JBoss 7.x Data Source.

But at first I have to solve the fact, that I only can select JB0ss 4.x and 5.x

So I try to install SP 10.0.

Thanks

Robert.

By the way, how can I upload an attachment?

0 Likes
Highlighted
Absent Member.
Absent Member.

RE: Does SilkPerformer 9.5 or 10.0 support Application Server JBoss 7?

Hi Robert,

If you select the 'use rich formatting' option which you will see beside the 'Reply' button you can then either:

- select the Options tab at the top of the page and add an attachment there, or

- In the bottom row of icons in the 'Description' section there is an option to 'Insert/Edit Media'.

Either of these should allow you to include an attachment with your post.

Thanks

Leeanne

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.